Driver Linux pour modem ECI HiFocus ADSL USB
et modems avec puce Globespan

EciAdsl: Nouveau RPM EciAdsl 0.9

Posté par FlashCode, 12/06/2004 13:16
eciadsl
Le RPM pour la version 0.9 du driver EciAdsl a été remplacé par une nouvelle version, l'ancien présentait un problème de dépendance avec "perl-base" (qui n'existe pas).

      -  Page téléchargement EciAdsl
 [31 commentaires]
Re: New EciAdsl 0.9 RPM
Posté par Malak, 16/06/2004 22:24
Hi, I am sorry that this is off-topic. But I dont know where else to write!

Your drivers seem to support BT Voyager 100 modem in the United Kingdom .. are there any plans to develop the drivers for the BT Voyager 105?
Re: New EciAdsl 0.9 RPM
Posté par d-jo, 17/06/2004 00:30
You can use :
http://eciadsl.sourceforge.net/scripts/forum/
Re: New EciAdsl 0.9 RPM
Posté par FlashCode, 17/06/2004 14:30
Hi Malak,

BT105 is supported by latest Nortek driver, you can find it on this page:
http://eciadsl.flashtux.org/download/nortek-2021/
Re: New EciAdsl 0.9 RPM
Posté par Pat Cree, 21/07/2004 03:35
This comment is off subject but I can't find a feedback page .

I just wanted to thank you for providing support for the BT Voyager 105 modem.
Without your efforts I would be paying a lot of cash out for a service which I could not use.

A small suggestion - can you mod the README in the Nortek tarball to point green users like me to the other READMEs that tell us how to configure the driver. Once I read these files the installation was painless.

It is ridiculous that a large corporation like BT does not:-

1) Warn people that there is no linux support before they sign up for a twelve month contract.

2) Point them at your website. They can do this with any commitment to support linux users.

3) Send you one of their new modems in advance of release, so that you can provide support before they inflict it on us punters.

4) Fire a few pounds/euro in your direction to assist in support for your service.

Once again thanks.

Pat Cree
Re: New EciAdsl 0.9 RPM
Posté par Lee Wilson, 04/06/2005 14:17
Much as I agree with your points, I just have to say that BT and others that use the modem do say Windows / mac on the box, they never mention Linux.


however i agree, and a huge thanks for the drivers.
Re: Nouveau RPM EciAdsl 0.9
Posté par Alain, 05/07/2004 14:42
je viens de faire l'intallation de mon modem eci b-focus avec la distribution EDULINUX 2004(vive le Québec). J'ai rancontré comme beaucoup de personnes un problème de connextion au moment du ECI load2:failed
J'ai par hazard tenté une nouvelle connextion sans débrancher mon modem(usb) , le voyant vert clignotant et au miracle j'ai obtenu le message suivant: ECI load2 success synchronization successful.
J'ai répété l'expérience plusieurs fois, ce n'est pas parfait mais ça marche régulièrement .
En tout cas merci pour le boulot je vais enfin pourvoir naviguer en mode libre
@l@in
Re: Nouveau RPM EciAdsl 0.9
Posté par momo, 23/07/2004 16:09
J'ai observé ce phénomène avec différentes alimentations, regarde de ce côté peut-être, si ton alim est relativement chargée, il est possible que le modem "n'accroche" pas correctement à chaque fois

Je suis repassé dans ce cas d'ailleurs, j'avais une bonne 400W, de mémoire je ne me souviens pas avoir vu souvent rater la synchro au démarrage, depuis que je suis passé sur une 450W limite pourrie, la synchro ne se fait jamais à froid (eci-load2 failed à chaque coups), il faut que je redémarre et là ça passe mieux...
Re: Nouveau RPM EciAdsl 0.9
Posté par hettar987, 02/08/2004 15:56
Merci pour ce driver j'ai enfin pu me connecter à internet sous linux!
Par contre, j'ai rencontré divers problèmes (partiellement résolus)
1) lspci s'appelle lspcidrake sous mandrake 10, il faut changer deux lignes dans le startmodem.
2) même en ayant patché le noyau 2.6.3 que j'avais, j'avais toujours le message d'erreur bad ioctl. Solution : prendre le dernier noyau (j'ai essayé le 2.6.8.rc2-2 et ça marche), il n'y a même pas besoin de le patcher !
ciao
Re: New EciAdsl 0.9 RPM
Posté par Caesura, 03/08/2004 12:04
Hi - can anyone here give me step-by -step instructions on how to install the Voyager 105 driver as mentioned above?
I'v done :

./configure --with-chipset=GS7470
make
make install

What do I do with the synch files in GS7470_SynchFiles?

I do not have /etc/eciadsl/eciadsl.conf nor /etc/ppp/peers/adsl files to modify for the 105.

Which modem do I select in the GUI tool - the Nortek 2021 does not appear in the list (I assume
this driver works for the 105?).

Thanks ins anticipation!

Re: New EciAdsl 0.9 RPM
Posté par FlashCode, 03/08/2004 14:12
You have to copy synch files to /etc/eciadsl/ dir.
Run eciconf.sh (or eciconftxt.sh) to create EciAdsl config file (/etc/eciadsl/eciadsl.conf).
If your modem is not in the list, choose any modem and then edit /etc/eciadsl/eciadsl.conf file, and set your VID/PID according to your modem page (look on this site ; hum 105 not in our list, I'll add it, but I don't know VID/PID..).
For more help please use forum or irc, here it is for comments about news, not support - thank you.
Re: Nouveau RPM EciAdsl 0.9
Posté par licu, 11/08/2004 18:13
Slt tous le monde ravi de me trouvé parmi vous les linuxiens

moi je suis un gros novice sur linux je veux installer mon modem eci

alors voila

j ai linux 10 mandrak

j ai installer le ECIadsl rpm mais rien ne se passe q est ce que je dois faire exactement

help plz, je veux apprendre a utilisé Linux
Re: Nouveau RPM EciAdsl 0.9
Posté par licu, 11/08/2004 23:27
j ai ressi a le faire clignoté et sychroniser

mais qand il essaye de se connect ca marche il m affiche ce message :


speed 1 not supported
sh : line 1 kdebug : command not found
couldn't get channel number : input/output error
ioctl(PPPIOGFLAGGS): bad file descriptor
failed to connect


voila alors si qelq un a une solution qu il me reponde vite je devien dingue

a+++ et merci
Re: Nouveau RPM EciAdsl 0.9
Posté par FlashCode, 13/08/2004 10:17
Efface les fichiers /etc/ppp/options et /etc/ppp/peers/adsl puis refais la config EciAdsl avec eciconf.sh.
Ensuite ça devrait fonctionner.
Re: Nouveau RPM EciAdsl 0.9
Posté par lincu, 13/08/2004 17:42
lol

maintenant plus rien ne marche

mon modem ne s allume plus c bizz
Re: Nouveau RPM EciAdsl 0.9
Posté par lincu, 14/08/2004 10:51
merci encore pour ta reponse


apres avoir fait ce tu a ecrit


le pb et autre voila ce que j obtient


aprés sychro

il m affiche ca

using channel 2
ioctl (PPPIOCGFLAGS): inappropriate ioctl for device
failed to connect

alors la je sais plus qoi faire


a++
Re: Nouveau RPM EciAdsl 0.9
Posté par FlashCode, 15/08/2004 11:00
Ceci est dû à la synchro, change de .bin de synchro et çà devrait mieux marcher.
Les différents .bin de synchro sont ici :
http://eciadsl.flashtux.org/download.php?view=synch
Vérifie aussi ton mode ppp, pour la France c'est généralement le 1er (par défaut), soit VCM_RFC2364 (sauf si tu es dégroupé).
Re: Nouveau RPM EciAdsl 0.9
Posté par lincu, 15/08/2004 18:43
en effet je suis dégroupé, donc je devrais faire qoi dans ce cas??

tout d abord je vais essayer de changer de .bin pour voir ce que ca donne


merci a+++
Re: Nouveau RPM EciAdsl 0.9
Posté par FlashCode, 15/08/2004 21:46
En dégroupé le mode ppp peut changer, et il se peut que tu aies des options à changer. A titre d'exemple on fournit une configuration pour Free dégroupé ici :
http://eciadsl.flashtux.org/doc/eciadsl-free-degroupe.txt
Si tu es chez Free cette config devrait marcher, sinon il faudrait te renseigner auprès de ton fournisseur pour savoir les paramètres.
Re: Nouveau RPM EciAdsl 0.9
Posté par lincu, 15/08/2004 22:28
je suis chez telecom italia, je vais essayer de voir auprés de mon FAI les options a usé

merci encore

a+
Re: Nouveau RPM EciAdsl 0.9
Posté par pascal, 06/01/2005 00:46
J'ai le même problème.
Quelqu'un a t il la reponse ?

Par avance merci.
Nouveau RPM EciAdsl 0.9 en QNX
Posté par peter fotheringham, 23/08/2004 14:30
Hi,

Sorry this is not en francais.. :| I am looking for a copy of your driver to work under QNX. Anyone know if such a thing exists?

thanks,

peter
Re: Nouveau RPM EciAdsl 0.9 en QNX
Posté par FlashCode, 26/08/2004 13:06
Today there's no QNX version and this is not planed.
If you're interested by such a version, you're welcome to develop it, and we can help you if needed (I think no developer has QNX to test).
Re: Nouveau RPM EciAdsl 0.9
Posté par Eric, 27/08/2004 09:17
Bonjour,

J'ai une Mandrake 10 avec un noyau 2.6.8.1

Quand je lance startmodem, lors de la 5ème étape, j'ai le message suivant :

sent [LCP ConfReq id=0x1 ]
LCP timeout sending Conf-Requests
Connection terminated

Quelqu'un a-t-il déjà eu ce problème ? Que faut-il faire pour le résoudre ?

Merci
Re: Nouveau RPM EciAdsl 0.9
Posté par FlashCode, 28/08/2004 14:54
Il faut essayer d'autres fichiers .bin de synchro. Voir la page téléchargement du driver.
Re: New EciAdsl 0.9 RPM
Posté par SigmaAll, 12/09/2004 20:32
Hi everyone, I'm pretty new to Linux, unfortunately I have the BT Voyager 105, and the driver I downloaded from here doesn't seem to work at all :( which is probably my own doing, can anyone help me?

I have Mandrake 10.0 official release and my modem is plugged into a USB card which I think might be the problem because when startmodem tries to shut down the USB port it just hangs there and doesn't do anything else, please please help, because I REALLY hate windows 98. Thanks for any replies :)
Re: New EciAdsl 0.9 RPM
Posté par swtizo, 16/09/2004 15:16
It tries to remove ehci-hcd I'm guessing? I think, and I'm not that experienced but I had a similar problem and solved it, is because it uses a different usb controller, namely uhci-hcd (... once again, i think). I have 4 usb ports, 2 are just below the PS2 ports on my motherboard, and 2 are just under the vga port. The ones up at the top by the PS2 ports were using ehci-hcd, I got a PS2 Keyboard and Mouse and unplugged everything from those, and "rmmod ehci-hcd" worked fine, then I had only my modem (bt voyager 100) plugged into one of the 2 ports below them and now the usb support loads fine, but, if you dont have another set of usb ports, then I don't think there is a way to change which usb controller they use, especially if it is a case of the ports being on a card. I still haven't got my modem working, it dies and gives me input/output errors on step 4/5, (anyone able to help? :P) so I would advise, especially if your very new to linux, the one and only solution would be to buy an ethernet adsl router/modem, which as far as know the setup for is just a case of using dhcp to get the internet from it, and using it to connect to the BT ISP, (which is also very easy). So far I've seen 2 people with the voyager 100 working and 0 people with the voyager 105 working...


Switzo
Re: New EciAdsl 0.9 RPM
Posté par Tom, 16/12/2004 14:43
Well, thing is, my BT Voyager 105 is working

Redhat Linux 9 Publishers Edition

Full Install

2 USB Ports (Mobo)

I did have pain, but i figured it out in the end.
Re: New EciAdsl 0.9 RPM
Posté par Siara, 13/02/2005 12:26
Be so nice and share whit us how did you made it.
Re: New EciAdsl 0.9 RPM
Posté par dsouza, 28/08/2005 11:59
After ./configure it gives an error some files are missing cold you tell me what is required to configure ( python 0r c++ compiler) as iam using mandrake 10.1 beta version even i tried in mand 10.0 same problem...pls help me modem is bt voyager 105...
Re: New EciAdsl 0.9 RPM
Posté par ufo, 08/09/2005 22:29
Instalation went perfect but after running

eciadsl-start is gives error as below

modem is install and ok
but at the syncornation it gives error says error at 0 and comes out... coul du pls help me...
prob synchro
Posté par peck, 15/06/2006 16:46
dc voila g installer la mandriva 2006 et g voulu installe mon modem b-focus eci et lor de l 'etape 2 il ne se synchronise pa si kelkun peu m aider merci

ps:g essayer plusieur fichier de synchro ss succes et c pour wanadoo dc si vs avai un bin ki traine merci